Summary:	Graphical User Interface tool supporting SpatiaLite
Summary(pl.UTF-8):	Graficzny interfejs użytkownika obsługujący bazy SpatiaLite
Name:		spatialite_gui
%define	beta	beta1
Version:	2.1.0
Release:	0.%{beta}.4
License:	GPL v3+
Group:		Applications/Databases
Source0:	http://www.gaia-gis.it/gaia-sins/spatialite-gui-sources/%{name}-%{version}-%{beta}.tar.gz
# Source0-md5:	9e8157f68c1f9ef77c31b229936b147f
URL:		https://www.gaia-gis.it/fossil/spatialite_gui
BuildRequires:	freexl-devel
BuildRequires:	geos-devel
BuildRequires:	librasterlite2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	proj-devel >= 4
BuildRequires:	sqlite3-devel
BuildRequires:	virtualpg-devel
BuildRequires:	wxGTK3-unicode-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical User Interface tool supporting SpatiaLite.

%description -l pl.UTF-8
Graficzny interfejs użytkownika obsługujący bazy SpatiaLite.

%prep
%setup -q -n %{name}-%{version}-%{beta}

%build
%configure \
	--with-wxconfig=/usr/bin/wx-gtk3-unicode-config \
	--disable-xlsxwriter

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/hicolor/40x40

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spatialite_gui
%{_desktopdir}/spatialite-gui.desktop
%{_iconsdir}/hicolor/*x*/apps/spatialite-gui.png
%changelog
* Fri Dec 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spatialite_gui.git;a=log;h=master

* Fri Dec 27 2024 Jan Rękorajski <baggins@pld-linux.org> 9f1b4c8
- rel 4, update BRs

* Sat Sep 30 2023 Jan Rękorajski <baggins@pld-linux.org> ea63246
- rel 3

* Sat Sep 30 2023 Jan Rękorajski <baggins@pld-linux.org> 109f3d5
- icons location is a directory

* Fri Sep 29 2023 Jan Rękorajski <baggins@pld-linux.org> 73caae8
- remove unsupported dir, rel 2

* Fri Sep 29 2023 Jan Rękorajski <baggins@pld-linux.org> e2fb6c0
- up to 2.1.0-beta1

* Sat Apr 06 2019 Jan Rękorajski <baggins@pld-linux.org> 14c6e55
- rebuild with proj 6.0
- rel 7

* Sun May 13 2018 Jan Rękorajski <baggins@pld-linux.org> 37462ff
- release 6 (by relup.sh)

* Sun Jul 19 2015 Jan Rękorajski <baggins@pld-linux.org> ce0f0e9
- fix linking with sqlite3
- rel 5

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> e7c9335
- release 4 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 1040adf
- fix build with wzWidgets 3.0
- rel 3

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cb32a7
- wxWidgets rebuild
- release 2 (by relup.sh)

* Wed Jul 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 74944cd
- updated to 1.7.1

* Mon Jun 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 924c698
- updated to 1.7.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 2a641f7
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> c1c648c
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 741b031
- cleanup

* Fri Sep 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 135facb
- new

